| pnd-cpp-sdk 1.5.1

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Pnd::GroupCommand Class Referencefinal

A list of Command objects appropriate for sending to a Group of modules; the size() must match the number of modules in the group. More...

`#include <groupCommand.hpp>`

## Public Member Functions
| GroupCommand (size_t number_of_modules)
| Create a group command with the specified number of modules.
| ~GroupCommand () noexcept
| Destructor cleans up group command object as necessary.
size_t | size () const
| Returns the number of module commands in this group command.
PndCommandPtr | operator[] (size_t index)
| Access the command for an individual module.
const PndCommandPtr | operator[] (size_t index) const
| Access the command for an individual module.
void | clear ()
| Clears all data in this GroupCommand object; this returns to the state the GroupCommand was at time of creation.
void | setPosition (const std::vector< float > &position)
| Convenience function for setting position commands from vectors.
void | setTrapezoidalMove (const std::vector< float > &val)
| Convenience function for setting TrapezoidalMove commands from vectors.
void | setVelocity (const std::vector< float > &velocity)
| Convenience function for setting velocity commands from vectors.
void | setVelocityRamp (const std::vector< float > &velocity)
| Convenience function for setting velocity ramp commands from vectors.
void | setCurrent (const std::vector< float > &effort)
| Convenience function for setting current commands from vectors.
void | enable (const std::vector< float > &status)
| Convenience function for setting enable commands from vectors.
void | reboot (const std::vector< bool > &flag)
| Convenience function for setting reboot commands from vectors.
void | getError (const std::vector< bool > &flag)
| Convenience function for setting getError commands from vectors.
void | clearError (const std::vector< bool > &flag)
| Convenience function for setting clearError commands from vectors.
void | resetLinearCount (const std::vector< float > &linearCount)
| Convenience function for setting resetLinearCount commands from vectors.
void | setMotionCtrlConfig (const std::vector< MotionControllerConfig * > &config)
| Convenience function for setting setMotionCtrlConfig commands from vectors.
void | setMotorConfig (const std::vector< MotorConfig * > &config)
| Convenience function for setting setMotorConfig commands from vectors.
void | setTrapTraj (const std::vector< TrapTraj * > &config)
| Convenience function for setting setTrapTraj commands from vectors.
void | saveConfig (const std::vector< bool > &flag)
| Convenience function for setting saveConfig commands from vectors.
void | setNetworkSetting (const std::vector< NetworkSetting * > &config)
| Convenience function for setting setNetworkSetting commands from vectors.
void | getMotorRotorAbsPos (const std::vector< bool > &flag)
| Get Motor rotor absolute position.
void | setLatencyTest (const std::vector< bool > &flag)
void | setInputPositionPt (const std::vector< PosPtInfo > &param)
void | setInputVelocityPt (const std::vector< float > &param)
void | setInputTorquePt (const std::vector< float > &param)
void | RcuPower (const std::vector< bool > &status)
| Convenience function for setting ctrlBoxEnable commands from vectors.
void | RcuAV5VPower (const std::vector< bool > &status)
void | RcuV5VPower (const std::vector< bool > &status)
void | RcuV5VAPower (const std::vector< bool > &status)
void | RcuV5VBPower (const std::vector< bool > &status)
void | Rcu12VPower (const std::vector< bool > &status)
void | RcuFan12VPower (const std::vector< bool > &status)
void | Rcu19VPower (const std::vector< bool > &status)
void | RcuBrakeCmd (const std::vector< RcuBrake > &param)
void | RcuAdcOffset (const std::vector< float > &param)
void | RcuFwUpgrade ()
void | getEncoderAngle (const std::vector< float > &param)

## Public Attributes
PndGroupCommandPtr | internal_
const size_t | number_of_modules_

## Detailed Description

A list of Command objects appropriate for sending to a Group of modules; the size() must match the number of modules in the group.

## Member Function Documentation

## ◆ clearError()

void Pnd::GroupCommand::clearError | ( | const std::vector< bool > & | flag | ) |

Convenience function for setting clearError commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ enable()

void Pnd::GroupCommand::enable | ( | const std::vector< float > & | status | ) |

Convenience function for setting enable commands from vectors.

Note that if the vector is not the correct link, no action is taken. enable is (nan continue， 0 disable， 1 enable),so choose float type.

## ◆ getError()

void Pnd::GroupCommand::getError | ( | const std::vector< bool > & | flag | ) |

Convenience function for setting getError commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ RcuPower()

void Pnd::GroupCommand::RcuPower | ( | const std::vector< bool > & | status | ) |

Convenience function for setting ctrlBoxEnable commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ reboot()

void Pnd::GroupCommand::reboot | ( | const std::vector< bool > & | flag | ) |

Convenience function for setting reboot commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ resetLinearCount()

void Pnd::GroupCommand::resetLinearCount | ( | const std::vector< float > & | linearCount | ) |

Convenience function for setting resetLinearCount commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ saveConfig()

void Pnd::GroupCommand::saveConfig | ( | const std::vector< bool > & | flag | ) |

Convenience function for setting saveConfig commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ setCurrent()

void Pnd::GroupCommand::setCurrent | ( | const std::vector< float > & | effort | ) |

Convenience function for setting current commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ setMotionCtrlConfig()

void Pnd::GroupCommand::setMotionCtrlConfig | ( | const std::vector< MotionControllerConfig * > & | config | ) |

Convenience function for setting setMotionCtrlConfig commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ setMotorConfig()

void Pnd::GroupCommand::setMotorConfig | ( | const std::vector< MotorConfig * > & | config | ) |

Convenience function for setting setMotorConfig commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ setNetworkSetting()

void Pnd::GroupCommand::setNetworkSetting | ( | const std::vector< NetworkSetting * > & | config | ) |

Convenience function for setting setNetworkSetting commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ setPosition()

void Pnd::GroupCommand::setPosition | ( | const std::vector< float > & | position | ) |

Convenience function for setting position commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ setTrapezoidalMove()

void Pnd::GroupCommand::setTrapezoidalMove | ( | const std::vector< float > & | val | ) |

Convenience function for setting TrapezoidalMove commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ setTrapTraj()

void Pnd::GroupCommand::setTrapTraj | ( | const std::vector< TrapTraj * > & | config | ) |

Convenience function for setting setTrapTraj commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ setVelocity()

void Pnd::GroupCommand::setVelocity | ( | const std::vector< float > & | velocity | ) |

Convenience function for setting velocity commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## ◆ setVelocityRamp()

void Pnd::GroupCommand::setVelocityRamp | ( | const std::vector< float > & | velocity | ) |

Convenience function for setting velocity ramp commands from vectors.

Note that if the vector is not the correct link, no action is taken.

## Member Data Documentation

## ◆ internal_

PndGroupCommandPtr Pnd::GroupCommand::internal_

C-style group command object. NOTE: this should not be used except by library functions!

## ◆ number_of_modules_

const size_t Pnd::GroupCommand::number_of_modules_

The number of modules in this group command.

The documentation for this class was generated from the following files:

- /Users/lvhao/ws/pnd/sdk/pnd-cpp/src/groupCommand.hpp
- /Users/lvhao/ws/pnd/sdk/pnd-cpp/src/groupCommand.cpp